explain_fgets_or_die(3)

NAME
explain_fgets_or_die - input of strings and report errors

SYNOPSIS
#include <libexplain/fgets.h>

char *explain_fgets_or_die(char *data, int data_size, FILE *fp);

DESCRIPTION
The explain_fgets_or_die function is used to call the fgets(3) system call. On failure an explanation will be printed to stderr, obtained from explain_fgets(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_fgets_or_die(data, data_size, fp);

data
    The data, exactly as to be passed to the fgets(3) system call.

data_size
    The data_size, exactly as to be passed to the fgets(3) system call.

fp  The fp, exactly as to be passed to the fgets(3) system call.

Returns:
    This function only returns on success; data when a line is read, or NULL on end-of-file. On failure, prints an explanation and exits.

SEE ALSO

fgets(3)
    input of strings

explain_fgets(3)
    explain fgets(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller